### Hierarchy

- BootstrapCarousel

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- carousel
- carouselIndicator
- carouselInner
- spec

### Methods

- current
- getIndicator
- getNavigation
- render

## Constructors

### constructor

- new BootstrapCarousel(message: ISpecification): BootstrapCarousel

- - Defined in lib/renderable/carousel/BootstrapCarousel.ts:23

  #### Parameters

  - ##### message: ISpecification

  #### Returns BootstrapCarousel

## Properties

### Private carousel

carousel: HTMLDivElement

- Defined in lib/renderable/carousel/BootstrapCarousel.ts:21

### Private carouselIndicator

carouselIndicator: HTMLOListElement

- Defined in lib/renderable/carousel/BootstrapCarousel.ts:23

### Private carouselInner

carouselInner: HTMLDivElement

- Defined in lib/renderable/carousel/BootstrapCarousel.ts:22

### spec

spec: ISpecification

- Defined in lib/renderable/carousel/BootstrapCarousel.ts:19

## Methods

### Private current

- current(): number

- - Defined in lib/renderable/carousel/BootstrapCarousel.ts:107

  #### Returns number

### Private getIndicator

- getIndicator(idx: number): HTMLLIElement

- - Defined in lib/renderable/carousel/BootstrapCarousel.ts:76

  #### Parameters

  - ##### idx: number

  #### Returns HTMLLIElement

### Private getNavigation

- getNavigation(direction: Direction): HTMLAnchorElement

- - Defined in lib/renderable/carousel/BootstrapCarousel.ts:86

  #### Parameters

  - ##### direction: Direction

  #### Returns HTMLAnchorElement

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/carousel/BootstrapCarousel.ts:36

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc